package pkg

import (
	commonConfig "cicv-data-closedloop/aarch64/pjibot_guide/common/config"
	"cicv-data-closedloop/common/config/c_log"
	"time"
)

func GetCloudStatus(status *string, turnLength int) {
	// 轮询云端任务状态
	for {
		time.Sleep(time.Duration(turnLength) * time.Second)
		taskStatus, err := commonConfig.GetStatus(commonConfig.PlatformConfig.TaskConfigId)
		if err != nil {
			c_log.GlobalLogger.Error("获取配置status失败：", err)
			continue
		}
		*status = taskStatus
	}
}
